Name:		AcetoneISO
Version:	6.7
Release:	14%{?dist}
Summary:	CD/DVD Image Manipulator
Group:		Applications/Archiving
License:	GPLv2+
URL:		http://www.acetoneteam.org/
#Source0:	http://www.acetoneteam.org/Archivia/%{name}-%{version}.tar.gz
# Upstream source includes poweriso binary, closed source, no redistribution permission.
Source0:	%{name}-%{version}-clean.tar.gz
BuildRoot:  	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: 	kdewebdev-devel, desktop-file-utils
Requires:	p7zip, xbiso, k3b, kdebase, arts, cdrdao, nrg2iso
# Overkill, but I'm being thorough
Requires:	util-linux, coreutils, kdewebdev

%description
AcetoneISO: The CD/DVD image manipulator for Linux, it can do the following:
- Mount and Unmount ISO, MDF, NRG (if iso-9660 standard)
- Convert / Extract / Browse to ISO : *.bin *.mdf *.nrg *.img *.daa *.cdi 
  *.xbx *.b5i *.bwi *.pdi
- Play a DVD Movie ISO with most used media players
- Generate an ISO from a Folder or CD/DVD
- Generate MD5 file of an image
- Encrypt an image
- Split image into X megabyte chunks
- Highly compress an image
- Rip a PSX cd to *.bin to make it work with epsxe/psx emulators
- Service-Menu support for Konqueror
- Restore a lost CUE file of *.bin *.img

%prep
%setup -q

%build
cd src/
chmod -x *.c
mkdir ../binaries
# xbiso is in its own package
# so is nrg2iso.
for i in b5i2iso.c cdi2iso.c mdf2iso.c pdi2iso.c; do
  SHORTNAME=`echo $i | sed 's/.c//'`
  gcc $RPM_OPT_FLAGS $i -o ../binaries/$SHORTNAME
done

%install
rm -rf $RPM_BUILD_ROOT 
mkdir $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -p binaries/* $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/apps/%{name}/scripts/
sed -i 's|/opt/acetoneiso/|/usr/|g' %{name}-%{version}/AcetoneISO.kmdr
chmod -x %{name}-%{version}/AcetoneISO.kmdr
install -p %{name}-%{version}/AcetoneISO.kmdr $RPM_BUILD_ROOT%{_datadir}/apps/%{name}/scripts
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -p %{name}-%{version}/*.png $RPM_BUILD_ROOT%{_datadir}/pixmaps
mkdir -p $RPM_BUILD_ROOT%{_sbindir}
sed -i 's|/opt/acetoneiso/.|%{_sbindir}|g' %{name}-%{version}/acetoneiso-*mount.desktop
chmod -x %{name}-%{version}/acetoneiso-*mount.desktop
install -p %{name}-%{version}/*.sh $RPM_BUILD_ROOT%{_sbindir}

sed -i 's|/opt/acetoneiso/|%{_datadir}/apps/%{name}/scripts/|g' %{name}-%{version}/acetoneiso
install -p %{name}-%{version}/acetoneiso $RPM_BUILD_ROOT%{_bindir}

mkdir -p $RPM_BUILD_ROOT%{_datadir}/apps/konqueror/servicemenus/
install -p %{name}-%{version}/acetoneiso-*mount.desktop $RPM_BUILD_ROOT%{_datadir}/apps/konqueror/servicemenus/

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
mv %{name}-%{version}/AcetoneISO %{name}-%{version}/AcetoneISO.desktop
sed -i 's|/opt/acetoneiso/|%{_datadir}/apps/%{name}/scripts/|g' %{name}-%{version}/AcetoneISO.desktop
sed -i "s|'/usr/share/apps/AcetoneISO/scripts/AcetoneISO.kmdr'|/usr/share/apps/AcetoneISO/scripts/AcetoneISO.kmdr|g" %{name}-%{version}/AcetoneISO.desktop
desktop-file-install --vendor ""			\
	--dir $RPM_BUILD_ROOT%{_datadir}/applications	\
	--add-category System				\
	%{name}-%{version}/AcetoneISO.desktop

%clean
rm -rf $RPM_BUILD_ROOT 

%files
%defattr(-,root,root)
%doc GPL README changelog
%{_bindir}/acetoneiso
%{_bindir}/b5i2iso
%{_bindir}/cdi2iso
%{_bindir}/mdf2iso
%{_bindir}/pdi2iso
%{_sbindir}/playiso-unmount.sh
%{_sbindir}/turbo.sh
%{_datadir}/applications/*.desktop
%{_datadir}/apps/%{name}/
%{_datadir}/apps/konqueror/servicemenus/acetoneiso-*.desktop
%{_datadir}/pixmaps/*.png

%changelog
* Fri Aug 15 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6.7-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Fri Jun 06 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6.7-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Aug 02 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6.7-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6.7-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6.7-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6.7-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6.7-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6.7-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6.7-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Feb 13 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 6.7-5
- rebuild for new gcc4.3

* Mon Nov 26 2007 Tom "spot" Callaway <tcallawa@redhat.com> - 6.7-4
- Requires: kdewebdev

* Wed Nov 21 2007 Tom "spot" Callaway <tcallawa@redhat.com> - 6.7-3
- nrg2iso has its own package (bz 394441)

* Thu Nov  8 2007 Tom "spot" Callaway <tcallawa@redhat.com> - 6.7-2
- fix unowned directories
- drop vendor in desktop file
- fix desktop file to actually work

* Mon Jun  4 2007 Tom "spot" Callaway <tcallawa@redhat.com> - 6.7-1
- initial build for Fedora
